> ## Documentation Index
> Fetch the complete documentation index at: /docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer order details



## OpenAPI

````yaml /generated/storefront.openapi.json get /customer/orders/{orderId}
openapi: 3.0.3
info:
  title: Crave Storefront API
  version: 2.0.0
  description: >-
    Direct public Storefront API. Anonymous catalog reads require no API key.
    Protected resources use purpose-limited cart, checkout, receipt, or customer
    credentials.
  contact:
    name: Crave Support
    email: hello@craveup.com
servers:
  - url: https://api.craveup.com/api/v1/storefront
    description: Production Storefront API
  - url: https://sandbox-api.craveup.com/api/v1/storefront
    description: Sandbox Storefront API
security: []
tags:
  - name: Customer Auth
  - name: Catering
  - name: Loyalty
  - name: Merchants
  - name: Locations
  - name: Ordering Sessions
  - name: Menus
  - name: Products
  - name: Carts
  - name: Analytics
  - name: Checkout
  - name: Cart Items
  - name: Discounts
  - name: Customers
  - name: Orders
paths:
  /customer/orders/{orderId}:
    get:
      tags:
        - Orders
      summary: Get customer order details
      operationId: storefrontGetCustomerOrder
      parameters:
        - name: orderId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 128
      responses:
        '200':
          description: Customer order.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicOrderDetail'
        '400':
          description: The request is invalid.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '401':
          description: Authentication or capability authorization is required.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '403':
          description: The authenticated principal does not own this resource.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '404':
          description: The requested resource was not found.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '429':
          description: The request was rate limited.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '500':
          description: An unexpected error occurred.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '503':
          description: A required dependency is temporarily unavailable.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
      security:
        - StorefrontCustomerAuth: []
components:
  schemas:
    PublicOrderDetail:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          maxLength: 128
        shortId:
          type: string
        restaurantDisplayName:
          type: string
        fulfillmentMethod:
          type: string
        fulfillmentIdentifier:
          type: string
        pickupType:
          type: string
        orderTime:
          type: string
        orderDate:
          type: string
        totalQuantity:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        currency:
          type: string
        orderTotal:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        status:
          type: string
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        catering:
          default: null
          nullable: true
          type: object
          properties:
            eventId:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            locationId:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            returnPath:
              type: string
              pattern: ^\/c\/[0-9a-f-]{36}\/[0-9a-f-]{36}$
            reference:
              type: string
              minLength: 1
              maxLength: 255
            paymentKind:
              type: string
              enum:
                - deposit
                - full
                - balance
          required:
            - eventId
            - locationId
            - returnPath
            - reference
            - paymentKind
          additionalProperties: false
        financial:
          anyOf:
            - $ref: '#/components/schemas/PublicOrderFinancial'
            - type: string
              nullable: true
              enum:
                - null
        partiallyRefunded:
          nullable: true
          type: boolean
        items:
          type: array
          items:
            $ref: '#/components/schemas/PublicOrderItem'
        pricing:
          $ref: '#/components/schemas/PublicOrderPricing'
        deliveryInfo:
          nullable: true
          type: object
          properties:
            deliveryAddress:
              type: string
        delivery:
          $ref: '#/components/schemas/PublicOrderDelivery'
        roomServiceInfo:
          nullable: true
          type: object
          additionalProperties: {}
        tableServiceInfo:
          nullable: true
          type: object
          additionalProperties: {}
        payment:
          $ref: '#/components/schemas/PublicOrderPayment'
        updatedAt:
          nullable: true
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
      required:
        - id
        - shortId
        - restaurantDisplayName
        - fulfillmentMethod
        - fulfillmentIdentifier
        - pickupType
        - orderTime
        - orderDate
        - totalQuantity
        - currency
        - orderTotal
        - status
        - createdAt
        - financial
        - partiallyRefunded
        - items
        - pricing
        - deliveryInfo
        - delivery
        - roomServiceInfo
        - tableServiceInfo
        - payment
        - updatedAt
      additionalProperties: false
    CommerceErrorEnvelope:
      type: object
      properties:
        code:
          anyOf:
            - type: string
              enum:
                - VALIDATION_ERROR
                - UNAUTHORIZED
                - CUSTOMER_AUTH_CODE_REJECTED
                - FORBIDDEN
                - NOT_FOUND
                - RATE_LIMITED
                - CART_CONFLICT
                - REQUOTE_REQUIRED
                - RESOURCE_CONFLICT
                - CART_IMMUTABLE
                - IDEMPOTENCY_KEY_REQUIRED
                - IDEMPOTENCY_KEY_REUSED
                - IDEMPOTENCY_IN_PROGRESS
                - DEPENDENCY_UNAVAILABLE
                - INTERNAL_ERROR
            - type: string
              minLength: 1
        message:
          type: string
          minLength: 1
        requestId:
          type: string
          minLength: 8
        details:
          type: object
          additionalProperties: {}
      required:
        - code
        - message
        - requestId
      additionalProperties: false
    PublicOrderFinancial:
      oneOf:
        - type: object
          properties:
            state:
              type: string
              enum:
                - known
            status:
              type: string
              enum:
                - NO_PAYMENT_REQUIRED
                - DUE
                - PARTIALLY_PAID
                - PAID
                - PARTIALLY_REFUNDED
                - REFUNDED
                - CANCELED
            reconciliationStatus:
              type: string
              enum:
                - CURRENT
                - RECONCILING
                - ACTION_REQUIRED
            revision:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            collected:
              type: string
              allOf:
                - type: string
                  pattern: ^-?\d+(?:\.\d+)?$
                - type: string
                  pattern: ^\d+(?:\.\d+)?$
            due:
              type: string
              allOf:
                - type: string
                  pattern: ^-?\d+(?:\.\d+)?$
                - type: string
                  pattern: ^\d+(?:\.\d+)?$
          required:
            - state
            - status
            - reconciliationStatus
            - revision
            - collected
            - due
          additionalProperties: false
        - type: object
          properties:
            state:
              type: string
              enum:
                - unavailable
            reason:
              type: string
              enum:
                - evidence_unavailable
                - evidence_conflict
          required:
            - state
            - reason
          additionalProperties: false
    PublicOrderItem:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          maxLength: 128
        name:
          type: string
        quantity:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        price:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        total:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        discount:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        specialInstructions:
          type: string
        modifiers:
          type: array
          items:
            type: object
            properties:
              groupName:
                type: string
              name:
                type: string
              quantity:
                type: integer
                minimum: 0
                maximum: 9007199254740991
              price:
                type: string
                pattern: ^-?\d+(?:\.\d+)?$
            required:
              - groupName
              - name
              - quantity
              - price
            additionalProperties: false
      required:
        - id
        - name
        - quantity
        - price
        - total
        - discount
        - specialInstructions
        - modifiers
      additionalProperties: false
    PublicOrderPricing:
      type: object
      properties:
        subtotal:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        discount:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        tax:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        tip:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        serviceFee:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        fulfillmentFee:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        enterpriseFee:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        total:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        refunded:
          anyOf:
            - type: string
              allOf:
                - type: string
                  pattern: ^-?\d+(?:\.\d+)?$
                - type: string
                  pattern: ^\d+(?:\.\d+)?$
            - type: string
              nullable: true
              enum:
                - null
        netPaid:
          anyOf:
            - type: string
              allOf:
                - type: string
                  pattern: ^-?\d+(?:\.\d+)?$
                - type: string
                  pattern: ^\d+(?:\.\d+)?$
            - type: string
              nullable: true
              enum:
                - null
      required:
        - subtotal
        - discount
        - tax
        - tip
        - serviceFee
        - fulfillmentFee
        - enterpriseFee
        - total
        - refunded
        - netPaid
      additionalProperties: false
    PublicOrderDelivery:
      nullable: true
      type: object
      properties:
        provider:
          type: string
          enum:
            - DOORDASH_DRIVE
        status:
          type: string
        trackingUrl:
          nullable: true
          type: string
          format: uri
        supportReference:
          nullable: true
          type: string
        courierName:
          nullable: true
          type: string
        pickupEstimatedAt:
          nullable: true
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        pickupActualAt:
          nullable: true
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        dropoffEstimatedAt:
          nullable: true
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        dropoffActualAt:
          nullable: true
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        cancellationReason:
          nullable: true
          type: string
        providerUpdatedAt:
          nullable: true
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
      required:
        - provider
        - status
        - trackingUrl
        - supportReference
        - courierName
        - pickupEstimatedAt
        - pickupActualAt
        - dropoffEstimatedAt
        - dropoffActualAt
        - cancellationReason
        - providerUpdatedAt
      additionalProperties: false
    PublicOrderPayment:
      nullable: true
      type: object
      properties:
        provider:
          nullable: true
          type: string
          enum:
            - STRIPE
            - SQUARE
        cardLast4:
          nullable: true
          type: string
        walletType:
          nullable: true
          type: string
        cardBrand:
          nullable: true
          type: string
      required:
        - provider
        - cardLast4
        - walletType
        - cardBrand
  securitySchemes:
    StorefrontCustomerAuth:
      type: http
      scheme: bearer
      bearerFormat: opaque
      description: >-
        Merchant-bound opaque customer access capability returned by fresh code
        verification or refresh.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.